#!/bin/bash
#set -x
BASE=/home/cschwede/public_html/weather_micky

# Funktion zum Wandeln in Buchstaben
chr() {
  echo -e \\u$(printf '%04x' $1)
}

# Hole Wettermeldung für Symbol (in Array)
SYMBOL=(`$BASE/display/akt_weather.sh`)

# wenn W1W2 nicht gemeldet wird
if [ ${SYMBOL[1]} == "A" ]
then 
  SYMBOL[1]=" "
  SYMBOL[2]=" "
fi

# warte, sonst sind die Variablen leer
sleep 10

PfadFonts="/home/cschwede/public_html/weather_micky/display/server/fonts"
Schriftart="DroidSans.ttf"
#Schriftart="droid___.ttf"
Schriftfarbe="black"
TEMP=`cat $BASE/temp.txt`
HUM=`cat $BASE/hum.txt`
PRE=`cat $BASE/pressure.txt`
TMIN=`cat $BASE/temp_min.txt`
TMAX=`cat $BASE/temp_max.txt`
RAIN=`cat $BASE/rainsum_day.txt`
RAIN_YESTERDAY=`cat $BASE/rainsum_yesterday.txt`
WIND=`cat $BASE/wind.txt`

#if  [ x$RAIN == x ]
#then 
# RAIN="0"
#fi

/usr/bin/convert -font $PfadFonts/$Schriftart -strokewidth 1 -pointsize 25 -fill $Schriftfarbe \
-draw "text 40, 50 'Temperatur'"  \
-draw "text 40, 180 'Luftfeuchte'" \
-draw "text 40, 310 'Luftdruck'" \
-colors 2 +dither $BASE/display/a.png -quality 100%  $BASE/display/a1.png

/usr/bin/convert -gravity NorthEast -font $PfadFonts/$Schriftart -strokewidth 1 -fill $Schriftfarbe \
-pointsize 25 \
-draw "text 40, 27 '`date +"%A %x %R"`'" \
-draw "text 40, 157 'Niederschlag'" \
-draw "text 40, 287 'Windgeschwindigkeit'" \
-pointsize 80 \
-draw "text 330, 60 '$TEMP °C'" \
-draw "text 330, 190 '$HUM %'" \
-pointsize 60 \
-draw "text 40, 192 '$RAIN l/m²'" \
-pointsize 40 \
-draw "text 330, 315 '$PRE hPa'" \
-draw "text 40, 317 '$WIND km/h'" \
-pointsize 25 \
-draw "text 230, 70 '$TMAX °C'" \
-draw "text 230, 110 '$TMIN °C'" \
-draw "text 40, 252 '$RAIN_YESTERDAY l/m²'" \
-colors 2 +dither $BASE/display/a1.png -quality 100%  $BASE/display/a2.png

#SYMBOL[0]=`chr 61456`
#SYMBOL[1]=`chr 61462`
#SYMBOL[2]=`chr 61520`

/usr/bin/convert -gravity NorthEast -font $PfadFonts/weathericons-regular-webfont.ttf -strokewidth 1 -pointsize 25 -fill $Schriftfarbe \
-pointsize 75 \
-draw "text 40, 54 '${SYMBOL[0]}'" \
-pointsize 25 \
-draw "text 170, 108 '${SYMBOL[1]}'" \
-draw "text 170, 60 '${SYMBOL[2]}'" \
-colors 2 +dither $BASE/display/a2.png -quality 100%  $BASE/display/ausgabe.png

#echo ${SYMBOL[0]}
#echo ${SYMBOL[1]}
#echo ${SYMBOL[2]}

cp $BASE/display/ausgabe.png $BASE/display/server/contents/static_image
